0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_vector_angle
GTX Extensions (Experimental)

Compute angle between vectors. More...

## Functions
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL T | angle (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the absolute angle between two vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL T | orientedAngle (vec< 2, T, P > const &x, vec< 2, T, P > const &y)
| Returns the oriented angle between two 2d vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL T | orientedAngle (vec< 3, T, P > const &x, vec< 3, T, P > const &y, vec< 3, T, P > const &ref)
| Returns the oriented angle between two 3d vectors based from a reference axis. More...

## Detailed Description

Compute angle between vectors.

<glm/gtx/vector_angle.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::angle | ( | vec< L, T, P > const & | x,
|  | vec< L, T, P > const & | y
| ) |  |

Returns the absolute angle between two vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

GLM_FUNC_DECL T glm::orientedAngle | ( | vec< 2, T, P > const & | x,
|  | vec< 2, T, P > const & | y
| ) |  |

Returns the oriented angle between two 2d vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

GLM_FUNC_DECL T glm::orientedAngle | ( | vec< 3, T, P > const & | x,
|  | vec< 3, T, P > const & | y,
|  | vec< 3, T, P > const & | ref
| ) |  |

Returns the oriented angle between two 3d vectors based from a reference axis.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.